# Generated from fastruby-metric_fu-5.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fastruby-metric_fu

Name: rubygem-%{gem_name}
Version: 5.0.0
Release: 1%{?dist}
Summary: A fistful of code metrics, with awesome templates and graphs
License: MIT
URL: https://github.com/fastruby/metric_fu
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby >= 1.9.0
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(test_construct)
# BuildRequires: rubygem(json)
# BuildRequires: rubygem(simplecov) < 0.18
BuildArch: noarch

%description
Code metrics from Flog, Flay, Saikuro, Churn, Reek, Roodi, Code Statistics,
and Rails Best Practices. (and optionally RCov).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/metric_fu
%{_bindir}/mf-cane
%{_bindir}/mf-churn
%{_bindir}/mf-flay
%{_bindir}/mf-reek
%{_bindir}/mf-roodi
%{_bindir}/mf-saikuro
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.metrics
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/DEV.md
%{gem_instdir}/Guardfile
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/TODO.md
%{gem_instdir}/appveyor.yml
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_instdir}/checksum
%{gem_instdir}/config
%{gem_instdir}/gem_tasks
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/CONTRIBUTORS
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/metric_fu.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 5.0.0-1
- Initial package
